<script setup>
import { useRoute, useRouter } from "vue-router"
import { useGetData } from "@/composable/getData";
import { useFavoritosStore } from "@/store/favoritos.js"

const route = useRoute()
const router = useRouter()
const useFavoritos = useFavoritosStore()

const { add, findPoke } = useFavoritos

const { getData, data, loading, errorData } = useGetData()

const back = () => router.push("/pokemons")

getData(`https://pokeapi.co/api/v2/pokemon/${route.params.name}`)
</script>

<template>
    <p v-if="loading" class="text-center">Cargando información...</p>
    <div class="alert alert-danger mt-2" v-if="errorData">No existe el pokemón</div>
    <div v-if="data" class="d-flex flex-column align-items-center">
        <img :src="data.sprites?.front_default" alt="data image" />
        <h1>Nombre del Pokemón: {{ $route.params.name }}</h1>
        <ul class="list-group mt-2">
            <h4>Habilidades:</h4>
            <li class="list-group-item" v-for="ability in data.abilities" :key="ability.ability.name">{{
                ability.ability.name }}</li>
        </ul>
        <button class="btn btn-primary m-2" @click="add(data)" :disabled="findPoke(data.name)">Agregar Favoritos</button>
        <button class="btn btn-outline-primary" @click="back">Volver</button>
    </div>
</template>